Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 14974003: Remove codes related to scaling in GraphicsLayer tree. (Closed)

Created:
5 years, 5 months ago by dshwang
Modified:
5 years, 5 months ago
CC:
blink-reviews, jamesr, eae+blinkwatch, leviw+renderwatch, danakj, Rik, jchaffraix+rendering, Stephen Chennney, jeez, pdr.
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Remove codes related to scaling in GraphicsLayer tree. There are three kind of codes: 1. getters of page/device scale. 2. callbacks when page/device scale is changed. 3. layer pixel aligned booleans. All codes are not used, so this patch removes all. BUG= Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=150298

Patch Set 1 #

Patch Set 2 : Patch to land: Remove an unused memeber in PageOverlay.cpp to compile in Mac. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -101 lines) Patch
M Source/WebKit/chromium/src/PageOverlay.cpp View 1 3 chunks +4 lines, -16 lines 0 comments Download
M Source/WebKit/chromium/tests/GraphicsLayerChromiumTest.cpp View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/page/Frame.cpp View 1 chunk +0 lines, -4 lines 0 comments Download
M Source/core/platform/graphics/GraphicsLayer.h View 2 chunks +0 lines, -10 lines 0 comments Download
M Source/core/platform/graphics/GraphicsLayer.cpp View 2 chunks +0 lines, -17 lines 0 comments Download
M Source/core/platform/graphics/GraphicsLayerClient.h View 1 chunk +0 lines, -5 lines 0 comments Download
M Source/core/rendering/RenderLayerBacking.h View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderLayerBacking.cpp View 1 2 chunks +0 lines, -11 lines 0 comments Download
M Source/core/rendering/RenderLayerCompositor.h View 1 chunk +0 lines, -6 lines 0 comments Download
M Source/core/rendering/RenderLayerCompositor.cpp View 2 chunks +0 lines, -29 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
dshwang
5 years, 5 months ago (2013-05-13 07:10:25 UTC) #1
aelias_OOO_until_Jul13
lgtm Thanks for the cleanup!
5 years, 5 months ago (2013-05-13 07:50:40 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dongseong.hwang@intel.com/14974003/1
5 years, 5 months ago (2013-05-13 11:33:18 UTC) #3
dshwang
On 2013/05/13 07:50:40, aelias wrote: > lgtm > > Thanks for the cleanup! Thank you ...
5 years, 5 months ago (2013-05-13 11:34:37 UTC) #4
commit-bot: I haz the power
Retried try job too often on blink_bare_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=blink_bare_presubmit&number=854
5 years, 5 months ago (2013-05-13 11:40:35 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dongseong.hwang@intel.com/14974003/1
5 years, 5 months ago (2013-05-13 13:51:51 UTC) #6
commit-bot: I haz the power
Retried try job too often on blink_bare_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=blink_bare_presubmit&number=860
5 years, 5 months ago (2013-05-13 14:00:19 UTC) #7
danakj
On Mon, May 13, 2013 at 10:00 AM, <commit-bot@chromium.org> wrote: > Retried try job too ...
5 years, 5 months ago (2013-05-13 15:36:14 UTC) #8
dshwang
On 2013/05/13 15:36:14, danakj wrote: > > You're missing OWNERs approval. ah, I thought aellas ...
5 years, 5 months ago (2013-05-13 16:40:49 UTC) #9
jamesr
lgtm lgtm with gusto. Thanks!
5 years, 5 months ago (2013-05-13 17:19:42 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dongseong.hwang@intel.com/14974003/1
5 years, 5 months ago (2013-05-13 17:19:54 UTC) #11
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 5 months ago (2013-05-13 17:41:09 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dongseong.hwang@intel.com/14974003/23001
5 years, 5 months ago (2013-05-14 05:13:59 UTC) #13
dshwang
On 2013/05/13 17:19:42, jamesr wrote: > lgtm > > lgtm with gusto. Thanks! Thank you ...
5 years, 5 months ago (2013-05-14 05:14:17 UTC) #14
commit-bot: I haz the power
5 years, 5 months ago (2013-05-14 07:23:48 UTC) #15
Message was sent while issue was closed.
Change committed as 150298

Powered by Google App Engine
This is Rietveld 408576698